LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCommandInfoChangeListener Interface Referencepublished

a listener for events related to changing XCommandInfos. More...

`import <XCommandInfoChangeListener.idl;`

Inheritance diagram for XCommandInfoChangeListener:

## Public Member Functions
void | commandInfoChange ([in] CommandInfoChangeEvent evt)
| gets called whenever changes of a XCommandInfo shall be propagated.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

a listener for events related to changing XCommandInfos.

Version
  1.0

See also
  CommandInfoChangeEvent
  XCommandInfoChangeNotifier

## Member Function Documentation

## ◆ commandInfoChange()

void commandInfoChange | ( | [in] CommandInfoChangeEvent | evt | ) |

gets called whenever changes of a XCommandInfo shall be propagated.

Parameters

  evt | the event.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCommandInfoChangeListener.idl